Loading...
Searching...
No Matches
CxxTest::WorldDescription Class Referenceabstract

`#include <Descriptions.h>`

## Public Types

enum | { MAX_STRLEN_TOTAL_TESTS = 32 }

## Public Member Functions

virtual | ~WorldDescription ()
virtual unsigned | numSuites (void) const =0
virtual unsigned | numTotalTests (void) const =0
virtual const SuiteDescription & | suiteDescription (unsigned) const =0
char * | strTotalTests (char *) const
virtual SuiteDescription * | firstSuite ()=0
virtual const SuiteDescription * | firstSuite () const =0
virtual void | activateAllTests ()=0
virtual bool | leaveOnly (const char *, const char *=0)=0
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
virtual bool | setUp ()=0
virtual bool | tearDown ()=0
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 53 of file Descriptions.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MAX_STRLEN_TOTAL_TESTS |

Definition at line 62 of file Descriptions.h.

{ MAX_STRLEN_TOTAL_TESTS = 32 };
CxxTest::WorldDescription::MAX_STRLEN_TOTAL_TESTS
@ MAX_STRLEN_TOTAL_TESTS
Definition Descriptions.h:62

## Constructor & Destructor Documentation

## ~WorldDescription()

CxxTest::WorldDescription::~WorldDescription | ( |  | ) |

virtual

Definition at line 10 of file Descriptions.cpp.

{}

## Member Function Documentation

## activateAllTests()

virtual void CxxTest::WorldDescription::activateAllTests | ( |  | ) |

pure virtual

Implemented in CxxTest::DummyWorldDescription, and CxxTest::RealWorldDescription.

## firstSuite() [1/2]

virtual const SuiteDescription * CxxTest::WorldDescription::firstSuite | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummyWorldDescription, and CxxTest::RealWorldDescription.

## firstSuite() [2/2]

virtual SuiteDescription * CxxTest::WorldDescription::firstSuite | ( |  | ) |

pure virtual

Implemented in CxxTest::DummyWorldDescription, and CxxTest::RealWorldDescription.

## leaveOnly()

virtual bool CxxTest::WorldDescription::leaveOnly | ( | const char * | ,
|  | const char * | = 0 )

pure virtual

Implemented in CxxTest::DummyWorldDescription, and CxxTest::RealWorldDescription.

## numSuites()

virtual unsigned CxxTest::WorldDescription::numSuites | ( | void |  | ) | const

pure virtual

Implemented in CxxTest::DummyWorldDescription, and CxxTest::RealWorldDescription.

## numTotalTests()

virtual unsigned CxxTest::WorldDescription::numTotalTests | ( | void |  | ) | const

pure virtual

Implemented in CxxTest::DummyWorldDescription, and CxxTest::RealWorldDescription.

## strTotalTests()

char * CxxTest::WorldDescription::strTotalTests | ( | char * | s | ) | const

Definition at line 16 of file Descriptions.cpp.

{
numberToString( numTotalTests(), s );
return s;
}
CxxTest::WorldDescription::numTotalTests
virtual unsigned numTotalTests(void) const =0
CxxTest::s
char * s
Definition ValueTraits.h:143

## suiteDescription()

virtual const SuiteDescription & CxxTest::WorldDescription::suiteDescription | ( | unsigned |  | ) | const

pure virtual

Implemented in CxxTest::DummyWorldDescription, and CxxTest::RealWorldDescription.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/Descriptions.h
- libpolys/tests/cxxtest/Descriptions.cpp